# Class CreatePaymentAccountRequest

#### Hierarchy

- unknown
  - CreatePaymentAccountRequest

- Defined in src/protobuf/grpc_pb.d.ts:1792
- Defined in src/protobuf/grpc_pb.d.ts:1809

#####
Index

### Constructors

constructor

### Methods

clearPaymentAccountForm
getPaymentAccountForm
getPaymentAccountFormAsJson
hasPaymentAccountForm
serializeBinary
setPaymentAccountForm
setPaymentAccountFormAsJson
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CreatePaymentAccountRequest(): CreatePaymentAccountRequest

- #### Returns CreatePaymentAccountRequest

  Inherited from jspb.Message.constructor

## Methods

### clearPaymentAccountForm

- clearPaymentAccountForm(): CreatePaymentAccountRequest

- #### Returns CreatePaymentAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1796

### getPaymentAccountForm

- getPaymentAccountForm(): undefined | PaymentAccountForm

- #### Returns undefined | PaymentAccountForm

  - Defined in src/protobuf/grpc_pb.d.ts:1793

### getPaymentAccountFormAsJson

- getPaymentAccountFormAsJson(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1798

### hasPaymentAccountForm

- hasPaymentAccountForm(): boolean

- #### Returns boolean

  - Defined in src/protobuf/grpc_pb.d.ts:1795

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1801

### setPaymentAccountForm

- setPaymentAccountForm(value?: PaymentAccountForm): CreatePaymentAccountRequest

- #### Parameters

  - ##### `Optional` value: PaymentAccountForm

  #### Returns CreatePaymentAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1794

### setPaymentAccountFormAsJson

- setPaymentAccountFormAsJson(value: string): CreatePaymentAccountRequest

- #### Parameters

  - ##### value: string

  #### Returns CreatePaymentAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1799

### toObject

- toObject(includeInstance?: boolean): CreatePaymentAccountRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CreatePaymentAccountRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1802

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CreatePaymentAccountRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CreatePaymentAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1805

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CreatePaymentAccountRequest, reader: BinaryReader): CreatePaymentAccountRequest

- #### Parameters

  - ##### message: CreatePaymentAccountRequest

  - ##### reader: BinaryReader

  #### Returns CreatePaymentAccountRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1806

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CreatePaymentAccountRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CreatePaymentAccountRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1804

### `Static` toObject

- toObject(includeInstance: boolean, msg: CreatePaymentAccountRequest): CreatePaymentAccountRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CreatePaymentAccountRequest

  #### Returns CreatePaymentAccountRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1803

Generated using TypeDoc